<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmStateFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmStateFlags Enumeration

Visual Basic
C#
C++/CLI
Flags used in calls to IEdmFile5::ChangeState to set options for the operation. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmStateFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmStateFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmStateFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmState_Refs | 1 = Include references when changing state
EdmState_Simple | 0 = Default behavior of the operation

# See Also

####

EPDM.Interop.epdm Namespace